class CarillonLocation {
  int id;
  String name;
  String address;
  double latitude;
  double longitude;

  CarillonLocation(
      {
        required this.id,
        required this.address,
        required this.latitude,
        required this.longitude,
        this.name = 'Unnamed',
      });

  factory CarillonLocation.fromJson(Map<String, dynamic> json) {
    return CarillonLocation(
        id: json['ID'],
        name: json['name'],
        address: json['address'],
        latitude: json['latitude'] + .0,
        longitude: json['longitude'] + .0);
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['id'] = id;
    data['name'] = name;
    data['address'] = address;
    data['latitude'] = latitude;
    data['longitude'] = longitude;
    return data;
  }
}